Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/reading/streaks \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/reading/streaks', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/reading/streaks" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "current": { "days": 5, "start_date": "2026-03-18", "total_finished": 8 }, "longest": { "days": 21, "start_date": "2025-12-01", "end_date": "2025-12-21", "total_finished": 34 } }
{ "error": "Not found", "status": 404 }
Returns current and longest reading streaks (consecutive days with a finished article).
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Streak data
Show child attributes